GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
gdcm::MeshPrimitive Class Reference

This class defines surface mesh primitives. It is designed from surface mesh primitives macro. More...

`#include <gdcmMeshPrimitive.h>`

Inheritance diagram for gdcm::MeshPrimitive:
[legend]
Collaboration diagram for gdcm::MeshPrimitive:
[legend]

## Public Types

enum | MPType { VERTEX = 0, EDGE, TRIANGLE, TRIANGLE_STRIP, TRIANGLE_FAN, LINE, FACET, MPType_END }
| This enumeration defines primitive types. More...
typedef std::vector< DataElement > | PrimitivesData

## Public Member Functions

| MeshPrimitive ()
virtual | ~MeshPrimitive ()
void | AddPrimitiveData (DataElement const &de)
unsigned int | GetNumberOfPrimitivesData () const
const DataElement & | GetPrimitiveData () const
DataElement & | GetPrimitiveData ()
const DataElement & | GetPrimitiveData (const unsigned int idx) const
DataElement & | GetPrimitiveData (const unsigned int idx)
const PrimitivesData & | GetPrimitivesData () const
PrimitivesData & | GetPrimitivesData ()
MPType | GetPrimitiveType () const
void | SetPrimitiveData (DataElement const &de)
void | SetPrimitiveData (const unsigned int idx, DataElement const &de)
void | SetPrimitivesData (PrimitivesData const &DEs)
void | SetPrimitiveType (const MPType type)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assigment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Static Public Member Functions

static MPType | GetMPType (const char *type)
static const char * | GetMPTypeString (const MPType type)

## Protected Attributes

PrimitivesData | PrimitiveData
MPType | PrimitiveType

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

This class defines surface mesh primitives. It is designed from surface mesh primitives macro.

See Also
  PS 3.3 C.27.4

## Member Typedef Documentation

typedef std::vector< DataElement > gdcm::MeshPrimitive::PrimitivesData

## Member Enumeration Documentation

enum gdcm::MeshPrimitive::MPType

This enumeration defines primitive types.

See Also
  PS 3.3 C.27.4.1

Enumerator:

  VERTEX |
  EDGE |
  TRIANGLE |
  TRIANGLE_STRIP |
  TRIANGLE_FAN |
  LINE |
  FACET |
  MPType_END |

## Constructor & Destructor Documentation

gdcm::MeshPrimitive::MeshPrimitive | ( |  | ) |

virtual gdcm::MeshPrimitive::~MeshPrimitive | ( |  | ) |

virtual

## Member Function Documentation

void gdcm::MeshPrimitive::AddPrimitiveData | ( | DataElement const & | de | ) |

static MPType gdcm::MeshPrimitive::GetMPType | ( | const char * | type | ) |

static

static const char* gdcm::MeshPrimitive::GetMPTypeString | ( | const MPType | type | ) |

static

unsigned int gdcm::MeshPrimitive::GetNumberOfPrimitivesData | ( |  | ) | const

const DataElement& gdcm::MeshPrimitive::GetPrimitiveData | ( |  | ) | const

DataElement& gdcm::MeshPrimitive::GetPrimitiveData | ( |  | ) |

const DataElement& gdcm::MeshPrimitive::GetPrimitiveData | ( | const unsigned int | idx | ) | const

DataElement& gdcm::MeshPrimitive::GetPrimitiveData | ( | const unsigned int | idx | ) |

const PrimitivesData& gdcm::MeshPrimitive::GetPrimitivesData | ( |  | ) | const

PrimitivesData& gdcm::MeshPrimitive::GetPrimitivesData | ( |  | ) |

MPType gdcm::MeshPrimitive::GetPrimitiveType | ( |  | ) | const

void gdcm::MeshPrimitive::SetPrimitiveData | ( | DataElement const & | de | ) |

void gdcm::MeshPrimitive::SetPrimitiveData | ( | const unsigned int | idx,
|  | DataElement const & | de
| ) |  |

void gdcm::MeshPrimitive::SetPrimitivesData | ( | PrimitivesData const & | DEs | ) |

void gdcm::MeshPrimitive::SetPrimitiveType | ( | const MPType | type | ) |

## Member Data Documentation

PrimitivesData gdcm::MeshPrimitive::PrimitiveData

protected

MPType gdcm::MeshPrimitive::PrimitiveType

protected

The documentation for this class was generated from the following file:

- gdcmMeshPrimitive.h